### Method

# Secret Service decode_dbus_secret

#### Declaration [src]

    SecretValue*
    secret_service_decode_dbus_secret (
      SecretService* service,
      GVariant* value
    )

#### Description [src]

Decode a `SecretValue` into `GVariant` received with the Secret Service DBus API.

The `GVariant` should have a `(oayays)` signature.

A session must have already been established by the `SecretService`, and the encoded secret must be valid for that session.

#### Parameters

`value`

  Type: `GVariant`

  The encoded secret.

  The data is owned by the caller of the method.

#### Return value

Type: `SecretValue`

The decoded secret value.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.